﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7.8
@EndOfDesignText@
Sub Class_Globals

	Dim ReportText As String
	
End Sub


Public Sub Initialize

End Sub


public Sub CreateReport(classes As List) As String

	ReportText = ""

	WriteHeader
	WriteResults(classes)

	Return ReportText

End Sub


public Sub WriteHeader As Boolean

	WriteLine("Unit Test Results")
	WriteLine("")

	WriteLine(Application.PackageName & ", " & Starter.AppName & ", version " & Starter.AppVersion)
	WriteLine("Manufacturer: " & Starter.DeviceManufacturer)
	WriteLine("Model: " & Starter.DeviceModel)
	WriteLine("Device ID: " & Starter.DeviceId)
	WriteLine("Android SDK: version " & Starter.AndroidSdkVersion)

	Return True

End Sub


public Sub WriteLine (line As String) As Boolean

	ReportText = ReportText & line & CRLF
	Return True

End Sub


public Sub WriteResults(classes As List) As String

	' 'classes' is a List of 'TestClassInfoType'.
	Dim nFail As Int = 0
	Dim nPass As Int = 0
	Dim passFail As String
	
	WriteLine("Class" & TAB & "Method" & TAB & "Result" & TAB & "Time (ms)")

	For Each classInfo As TestClassInfoType In classes

		For Each methodInfo As TestMethodInfoType In classInfo.Methods

			If methodInfo.LastResult.EqualsIgnoreCase("pass") Then
				passFail = "Pass"
				nPass = nPass + 1
			Else
				passFail = "FAIL"
				nFail = nFail + 1
			End If

			WriteLine(classInfo.ClassName & TAB & methodInfo.MethodName & TAB & passFail & TAB & _
				methodInfo.LastTime)

		Next

	Next

	WriteLine("")
	WriteLine($"${nPass} passed, ${nFail} failed"$)

	Return True

End Sub

