﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=7.8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region


Sub Process_Globals

	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	Public AndroidSdkVersion As String
	Public AppName As String
	Public AppVersion As String
	Public BeepMaker As Beeper
	Public Debugging As Boolean
	Public DeviceId As String
	Public DeviceManufacturer As String
	Public DeviceModel As String
	Public LegacyDebugging As Boolean
	Public PackagePrefix As String
	Public ShowHtmlText As String
	Public TestRunner As CTestRunner
	Public Verbosity As Int

End Sub


Sub Service_Create

	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.

	Log("Starter.Service_Create: Entry")

	DateTime.DateFormat = "dd/MM/yyyy"

	Dim pws As PhoneWakeState
	pws.KeepAlive(True)

	Dim p As Phone

	AndroidSdkVersion = TestUtils.GetSDKversion
	AppName = "CTR"		' #ApplicationLabel
	AppVersion = "0.0"
	DeviceId = TestUtils.GetDeviceId
	DeviceManufacturer = p.Manufacturer
	DeviceModel = p.Model
	PackagePrefix = Application.PackageName & "."
	ShowHtmlText = ""
	TestRunner.Initialize("Starter TestRunner")
	Verbosity = 9

	Log(Application.PackageName & ", " & AppName & ", version " & AppVersion)
	Log("Manufacturer: " & DeviceManufacturer)
	Log("Model: " & DeviceModel)
	Log("Device ID: " & DeviceId)
	Log("Android SDK: version " & AndroidSdkVersion)
	Log("Folders")
	Log("   Assets: " & File.DirAssets)
	Log("   Root External: " & File.DirRootExternal)
	Log("   Default External: " & File.DirDefaultExternal)
	Log("   Internal: " & File.DirInternal)
	Log("   Internal Cache: " & File.DirInternalCache)

	Log("Starter.Service_Create: Exit")

End Sub


Sub Service_Start (StartingIntent As Intent)
End Sub


Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub


'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error(Error As Exception, StackTrace As String) As Boolean
	Log("Application_Error: " & Error.Message)
	Return True
End Sub


Sub Service_Destroy

	Dim pws As PhoneWakeState
	pws.KeepAlive(False)

End Sub


